Bug 8474 - [UPDATE REQUEST 2014.1] postgresql 9.3.21 & php 5.6.33
: [UPDATE REQUEST 2014.1] postgresql 9.3.21 & php 5.6.33
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-10 02:43 MSK by Алексей-З
Modified: 2018-03-15 13:01 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (268.13 KB, image/jpeg)
2017-11-15 23:27 MSK, Vladimir Potapov
Details
sc (227.62 KB, image/png)
2018-02-28 16:03 MSK, s.savelyeva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Алексей-З 2017-11-10 02:43:15 MSK
Доступны корректирующие обновления для всех поддерживаемых веток PostgreSQL: 10.1, 9.6.6, 9.5.10, 9.4.15, 9.3.20 и 9.2.24, в которых представлена порция исправлений ошибок, в том числе устранены проблемы, которые могут привести к повреждению данных. Выпуск обновлений для ветки 9.3 продлится до сентября 2018 г., 9.4 до декабря 2019 г., 9.5 до января 2021 г., 9.6 - до сентября 2021 года, 10 - до октября 2020 года. Ветка 9.2 достигла окончания своего жизненного цикла.

Из исправлений можно выделить серьёзные проблемы с индексами BRIN (не попадание строк в индекс) и логической репликацией, маловероятный крах при обработке вложенных триггеров, крах при редком стечении обстоятельств во время параллельного выполнения одинаковых запросов, проблемы с порядком вывода конструкций GRANT в дампе pg_dump. Кроме исправления ошибок в новых выпусках также устранены три уязвимости:
CVE-2017-12172 - администратор БД может повредить системные файлы, принадлежащие пользователю root, через направления в них лога;
CVE-2017-15098 - утечка содержимого памяти через манипуляцию с функциями JSON;
CVE-2017-15099 - при выполнении "INSERT ... ON CONFLICT DO UPDATE" не учитывалось наличие прав доступа для операции SELECT.
Comment 1 Алексей-З 2017-11-10 02:44:43 MSK
Updated to 9.3.20
https://abf.io/build_lists/2912152
https://abf.io/build_lists/2912153
Comment 2 Vladimir Potapov 2017-11-15 23:27:14 MSK
Created attachment 4763 [details]
ss

Странная картинка. Или минорное обновление требует бэкапа базы, или сборщик ошибся в исходниках.
Comment 3 Vladimir Potapov 2017-11-15 23:29:37 MSK
(In reply to comment #2)
> Created attachment 4763 [details]
> ss
> 
> Странная картинка. Или минорное обновление требует бэкапа базы, или сборщик
> ошибся в исходниках.
Ошибка воспроизводится только если есть база - постгри страхуется от того, что старая база с обновленным постгри работать не будет.
Comment 4 Алзим 2017-12-14 00:15:00 MSK
Пересборка
https://abf.io/build_lists/2914933
https://abf.io/build_lists/2914934
Comment 5 Vladimir Potapov 2018-01-04 08:47:49 MSK
(In reply to comment #4)
> Пересборка
> https://abf.io/build_lists/2914933
> https://abf.io/build_lists/2914934

Алексей, надо бы вынести в сообщения readme.urpmi, иначе для пользователя будет непонятно, почему не идет обновление.
Comment 6 Алзим 2018-01-05 14:19:34 MSK
(In reply to comment #5)
> Алексей, надо бы вынести в сообщения readme.urpmi, иначе для пользователя
> будет непонятно, почему не идет обновление.

А что конкретно туда надо написать?
Comment 7 Алзим 2018-02-07 17:09:32 MSK
Deleted README.urpmi

https://abf.io/build_lists/2919288
https://abf.io/build_lists/2919289
Comment 8 s.savelyeva 2018-02-19 18:56:35 MSK
It doesn't update if there is already existing database.
Comment 9 Алзим 2018-02-22 17:33:36 MSK
Updated to 9.3.21
https://abf.io/build_lists/2920354
https://abf.io/build_lists/2920355
Comment 10 Алзим 2018-02-24 03:12:48 MSK
PHP c новым PostgreSQL

php 5.6.33
https://abf.io/build_lists/2920420
https://abf.io/build_lists/2920421
Comment 11 s.savelyeva 2018-02-28 16:03:24 MSK
Created attachment 4820 [details]
sc

If after updating php to install phpPgAdmin by GUI it fails, if to install phpPgAdmin by console it's ok.  
(But if to install phpPgAdmin and after that to update php, it works properly.)
Comment 12 s.savelyeva 2018-02-28 16:04:00 MSK
And still doesn't update if there is already existing database.
Comment 13 Vladimir Potapov 2018-03-06 12:04:40 MSK
(In reply to comment #12)
> And still doesn't update if there is already existing database.
https://abf.io/build_lists/2920996
https://abf.io/build_lists/2920997
Comment 14 Vladimir Potapov 2018-03-09 06:31:54 MSK
The update is sent to expanded testing
***************************************
Comment 16 Vladimir Potapov 2018-03-14 17:43:43 MSK
(In reply to comment #15)
> Php
> https://abf.io/build_lists/2921821
> https://abf.io/build_lists/2921823

The update is sent to expanded testing
**************************************
Comment 17 Vladimir Potapov 2018-03-15 10:28:59 MSK
postgresql-9.3.21-2
https://abf.io/build_lists/2920996
https://abf.io/build_lists/2920997

php-5.6.33-1
https://abf.io/build_lists/2921821
https://abf.io/build_lists/2921823
**************************** Advisory ******************************
Updated to 9.3.21 with fix many SVEs
********************************************************************
QA Verified